<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ManualDriveActivity">


    <TextView
        android:id="@+id/manual_override_textview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="8dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:text="Manueller Modus"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ToggleButton
        android:id="@+id/manual_override_button"
        android:layout_width="125dp"
        android:layout_height="46dp"
        android:layout_marginEnd="8dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:checked="false"
        android:text="ToggleButton"
        android:textColorLink="@android:color/holo_green_light"
        android:textOff="Aktivieren"
        android:textOn="Deaktivieren"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/manual_override_textview" />

    <TextView
        android:id="@+id/h2_textview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginStart="8dp"
        android:text="H2"
        app:layout_constraintBottom_toTopOf="@+id/h2_control_button"
        app:layout_constraintEnd_toEndOf="@+id/h2_control_button"
        app:layout_constraintStart_toStartOf="@+id/h2_control_button" />

    <TextView
        android:id="@+id/h1_textview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginStart="8dp"
        android:text="H1"
        app:layout_constraintBottom_toTopOf="@+id/h1_control_button"
        app:layout_constraintEnd_toEndOf="@+id/h1_control_button"
        app:layout_constraintStart_toStartOf="@+id/h1_control_button" />

    <ToggleButton
        android:id="@+id/h1_control_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="32dp"
        android:checked="false"
        android:text="ToggleButton"
        android:textColorLink="@android:color/holo_green_light"
        android:textOff="Unten"
        android:textOn="Oben"
        app:layout_constraintEnd_toStartOf="@+id/h2_control_button"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/manual_override_button" />

    <ToggleButton
        android:id="@+id/h2_control_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="32dp"
        android:text="ToggleButton"
        android:textColorLink="@android:color/holo_green_light"
        android:textOff="Oben"
        android:textOn="Unten"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toEndOf="@+id/h1_control_button"
        app:layout_constraintTop_toBottomOf="@+id/manual_override_button" />

    <ImageView
        android:id="@+id/h1_status_light_off"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/h1_control_button"
        app:layout_constraintTop_toTopOf="@+id/h1_control_button"
        app:srcCompat="@android:drawable/presence_invisible" />

    <ImageView
        android:id="@+id/h1_status_light_on"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/h1_control_button"
        app:layout_constraintTop_toTopOf="@+id/h1_control_button"
        app:srcCompat="@android:drawable/presence_online" />

    <ImageView
        android:id="@+id/h2_status_light_off"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/h2_control_button"
        app:layout_constraintTop_toTopOf="@+id/h2_control_button"
        app:srcCompat="@android:drawable/presence_invisible" />

    <ImageView
        android:id="@+id/h2_status_light_on"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/h2_control_button"
        app:layout_constraintTop_toTopOf="@+id/h2_control_button"
        app:srcCompat="@android:drawable/presence_online" />

    <TextView
        android:id="@+id/pu1_textview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginStart="8dp"
        android:text="PU1"
        app:layout_constraintBottom_toTopOf="@+id/pu1_control_button"
        app:layout_constraintEnd_toEndOf="@+id/pu1_control_button"
        app:layout_constraintHorizontal_bias="0.507"
        app:layout_constraintStart_toStartOf="@+id/pu1_control_button" />

    <ImageView
        android:id="@+id/pu1_status_light_off"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/pu1_control_button"
        app:layout_constraintTop_toTopOf="@+id/pu1_control_button"
        app:srcCompat="@android:drawable/presence_invisible" />

    <ImageView
        android:id="@+id/pu1_status_light_on"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/pu1_control_button"
        app:layout_constraintTop_toTopOf="@+id/pu1_control_button"
        app:srcCompat="@android:drawable/presence_online" />

    <TextView
        android:id="@+id/pu2_textview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginStart="8dp"
        android:text="PU2"
        app:layout_constraintBottom_toTopOf="@+id/pu2_control_button"
        app:layout_constraintEnd_toEndOf="@+id/pu2_control_button"
        app:layout_constraintHorizontal_bias="0.476"
        app:layout_constraintStart_toStartOf="@+id/pu2_control_button" />

    <ToggleButton
        android:id="@+id/pu1_control_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="8dp"
        android:layout_marginTop="40dp"
        android:text="Aktivieren"
        app:layout_constraintEnd_toEndOf="@+id/h1_control_button"
        app:layout_constraintHorizontal_bias="0.36"
        app:layout_constraintStart_toStartOf="@+id/h1_control_button"
        app:layout_constraintTop_toBottomOf="@+id/h1_control_button" />


    <ToggleButton
        android:id="@+id/pu2_control_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="40dp"
        android:text="Aktivieren"
        app:layout_constraintEnd_toEndOf="@+id/h2_control_button"
        app:layout_constraintHorizontal_bias="0.68"
        app:layout_constraintStart_toStartOf="@+id/h2_control_button"
        app:layout_constraintTop_toBottomOf="@+id/h2_control_button" />

    <ImageView
        android:id="@+id/pu2_status_light_off"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/pu2_control_button"
        app:layout_constraintTop_toTopOf="@+id/pu2_control_button"
        app:srcCompat="@android:drawable/presence_invisible" />

    <ImageView
        android:id="@+id/pu2_status_light_on"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/pu2_control_button"
        app:layout_constraintTop_toTopOf="@+id/pu2_control_button"
        app:srcCompat="@android:drawable/presence_online" />

    <android.support.constraint.Barrier
        android:id="@+id/barrier2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="top" />

    <android.support.constraint.Barrier
        android:id="@+id/barrier3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="top" />

    <ToggleButton
        android:id="@+id/sp1_control_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="40dp"
        android:text="Aktivieren"
        app:layout_constraintEnd_toEndOf="@+id/pu1_control_button"
        app:layout_constraintHorizontal_bias="0.68"
        app:layout_constraintStart_toStartOf="@+id/pu1_control_button"
        app:layout_constraintTop_toBottomOf="@+id/pu1_control_button" />

    <ImageView
        android:id="@+id/sp1_status_light_off"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/sp1_control_button"
        app:layout_constraintTop_toTopOf="@+id/sp1_control_button"
        app:srcCompat="@android:drawable/presence_invisible" />

    <ImageView
        android:id="@+id/sp1_status_light_on"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/sp1_control_button"
        app:layout_constraintTop_toTopOf="@+id/sp1_control_button"
        app:srcCompat="@android:drawable/presence_online" />

    <TextView
        android:id="@+id/sp1_textview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginStart="8dp"
        android:text="SP1"
        app:layout_constraintBottom_toTopOf="@+id/sp1_control_button"
        app:layout_constraintEnd_toEndOf="@+id/sp1_control_button"
        app:layout_constraintHorizontal_bias="0.476"
        app:layout_constraintStart_toStartOf="@+id/sp1_control_button" />

    <ToggleButton
        android:id="@+id/b1_control_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="40dp"
        android:text="Aktivieren"
        app:layout_constraintEnd_toEndOf="@+id/pu2_control_button"
        app:layout_constraintHorizontal_bias="0.68"
        app:layout_constraintStart_toStartOf="@+id/pu2_control_button"
        app:layout_constraintTop_toBottomOf="@+id/pu2_control_button" />

    <ImageView
        android:id="@+id/b1_status_light_off"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/b1_control_button"
        app:layout_constraintTop_toTopOf="@+id/b1_control_button"
        app:srcCompat="@android:drawable/presence_invisible" />

    <ImageView
        android:id="@+id/b1_status_light_on"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/b1_control_button"
        app:layout_constraintTop_toTopOf="@+id/b1_control_button"
        app:srcCompat="@android:drawable/presence_online" />

    <TextView
        android:id="@+id/b1_textview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginStart="8dp"
        android:text="B1"
        app:layout_constraintBottom_toTopOf="@+id/b1_control_button"
        app:layout_constraintEnd_toEndOf="@+id/b1_control_button"
        app:layout_constraintHorizontal_bias="0.476"
        app:layout_constraintStart_toStartOf="@+id/b1_control_button" />

    <ToggleButton
        android:id="@+id/m1_control_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="40dp"
        android:text="Aktivieren"
        android:textOff="Start"
        android:textOn="Stopp"
        app:layout_constraintEnd_toEndOf="@+id/sp1_control_button"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="@+id/sp1_control_button"
        app:layout_constraintTop_toBottomOf="@+id/sp1_control_button" />

    <ImageView
        android:id="@+id/m1_status_light_off"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/m1_control_button"
        app:layout_constraintTop_toTopOf="@+id/m1_control_button"
        app:srcCompat="@android:drawable/presence_invisible" />

    <ImageView
        android:id="@+id/m1_status_light_on"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/m1_control_button"
        app:layout_constraintTop_toTopOf="@+id/m1_control_button"
        app:srcCompat="@android:drawable/presence_online" />

    <TextView
        android:id="@+id/m1_textview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginStart="8dp"
        android:text="M1"
        app:layout_constraintBottom_toTopOf="@+id/m1_control_button"
        app:layout_constraintEnd_toEndOf="@+id/m1_control_button"
        app:layout_constraintHorizontal_bias="0.476"
        app:layout_constraintStart_toStartOf="@+id/m1_control_button" />

    <ToggleButton
        android:id="@+id/m2_control_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="40dp"
        android:text="Aktivieren"
        android:textOff="Start"
        android:textOn="Stopp"
        app:layout_constraintEnd_toEndOf="@+id/b1_control_button"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="@+id/b1_control_button"
        app:layout_constraintTop_toBottomOf="@+id/b1_control_button" />

    <ImageView
        android:id="@+id/m2_status_light_off"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/m2_control_button"
        app:layout_constraintTop_toTopOf="@+id/m2_control_button"
        app:srcCompat="@android:drawable/presence_invisible" />

    <ImageView
        android:id="@+id/m2_status_light_on"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/m2_control_button"
        app:layout_constraintTop_toTopOf="@+id/m2_control_button"
        app:srcCompat="@android:drawable/presence_online" />

    <TextView
        android:id="@+id/m2_textview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginStart="8dp"
        android:text="M2"
        app:layout_constraintBottom_toTopOf="@+id/m2_control_button"
        app:layout_constraintEnd_toEndOf="@+id/m2_control_button"
        app:layout_constraintHorizontal_bias="0.476"
        app:layout_constraintStart_toStartOf="@+id/m2_control_button" />

    <ImageView
        android:id="@+id/manual_override_status_light_on"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/manual_override_button"
        app:layout_constraintTop_toTopOf="@+id/manual_override_button"
        app:srcCompat="@android:drawable/presence_online" />

    <ImageView
        android:id="@+id/manual_override_status_light_off"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:visibility="invisible"
        app:layout_constraintStart_toEndOf="@+id/manual_override_button"
        app:layout_constraintTop_toTopOf="@+id/manual_override_button"
        app:srcCompat="@android:drawable/presence_invisible" />

</android.support.constraint.ConstraintLayout>